<?php
/**
 * 单词登陆
 * $Id: product_category_edit_result.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author wanggb
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("ADMIN,MANAGER,STAFF")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

// 参数取得
$id = ParamUtil::getRequestNumber("id", 0);
$word = ParamUtil::getRequestString("word");
$hira_kana = ParamUtil::getRequestString("hira_kana");
$chinese = ParamUtil::getRequestString("chinese");
$mp3 = ParamUtil::getRequestString("mp3");
$sample = ParamUtil::getRequestString("sample");
$comment = ParamUtil::getRequestString("comment");

$word_dat = WordDat::getById($id);
if (empty($word_dat)) {
	$word_dat = new WordDat();
}

// 更新数据库
$word_dat->word = $word;
$word_dat->hira_kana = $hira_kana;
$word_dat->chinese = $chinese;
$word_dat->mp3 = $mp3;
$word_dat->sample = $sample;
$word_dat->comment = $comment;
$word_dat->save();

// 跳到一览页
header("Location:word_dat_list.php");
exit;